/****************************************************************/
/*  
     ***   ***  ***  *** ***     *** ***   ******  ****  ***
     ***   ***  ***  *** ***     *** **   ***  *** ***** ***
     ***   ***  ***  *** ***     *****    ******** *** *****
      *** ***   ***  *** ******* *** **   ***  *** ***  ****
       *****     *****   ******* *** ***  ***  *** ***   ***
	   
	 Vulkan Graphics API: 11 Steps

     Minimalistic examples to build upon and experiment with 
	 to develop an understanding of the underlying API

	   
/*
/****************************************************************/

// Fragement Shader or sometimes called the 
// `pixel shader'
// shader version
#version 420

// input (from our vertex shader above)
layout ( location = 0 ) in vec4 inPos;
layout ( location = 1 ) in vec4 inColor;
layout ( location = 2 ) in vec2 inTexCoords;

layout ( binding = 1 ) uniform sampler2D inTexSampler;

// final screen output color
layout ( location = 0 ) out vec4 outFragColor;

// shader entry point
void main() 
{
  // Original texture output
  outFragColor = texture(inTexSampler, inTexCoords);

  //outFragColor = inColor;

  // fixed color from vertices
  //outFragColor = inColor;

}// End main(..)